version: '3.8'

services:
  my-postgres-db:
    image: postgres:14
    environment:
      - POSTGRES_PASSWORD=12345
      - POSTGRES_USER=azrs
      - POSTGRES_DB=azrs
      - PGDATA=/persist/data
    volumes:
      - my-postgres-volume:/persist/data
    ports:
      - 12345:5432

volumes:
  my-postgres-volume: